# del

{% hint style="info" %}
/del method makes sense only for makers, since taker's orders are processed immediately and a server does not store them.
{% endhint %}

Please note that it is not possible to specify `orderId` *and* `clientOrderId` simultaneously.

**POST api/del**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "orderId": 1235
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "id": 1235,
    "remainingSize": 8000000
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Filed name    | Type               | Description                                                                 |
| ------------- | ------------------ | --------------------------------------------------------------------------- |
| orderId       | Efx::OrderId       | Id of order to delete (either this or `clientOrderId` should be specified)  |
| clientOrderId | Efx::ClientOrderId | Client Id of order to delete (either this or `orderId` should be specified) |

**Response description**

| Field name    | Type         | Description                     |
| ------------- | ------------ | ------------------------------- |
| id            | Efx::OrderId | Order Id                        |
| remainingSize | Efx::Size    | Remaining Order size on removal |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/del.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
